=== src/uimg-installer/CMakeLists.txt ===
set(BIN_NAME uimg-installer)

find_package(Qt5Core REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkCMake REQUIRED)

include_directories(${UTILS_DIR})
include_directories(${CMAKE_SOURCE_DIR}/src)
aux_source_directory(${UTILS_DIR} SRC_FILES)
aux_source_directory(${UIMGINSTALLERR_DIR} SRC_FILES)

## 源文件
add_executable(${BIN_NAME}
        ${SRC_FILES}
        )

target_link_libraries(${BIN_NAME}
        ${Qt5Core_LIBRARIES}
        ${Qt5DBus_LIBRARIES}
        ${DtkWidget_LIBRARIES}
        Qt5::PrintSupport
        PolkitQt5-1::Agent
        )

## 安装目标文件
install(TARGETS ${BIN_NAME}
        DESTINATION bin/)
