=== src/uos-recovery-tool/CMakeLists.txt ===
set(BIN_NAME uos-recovery-tool)

find_package(Qt5Core REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(DtkCMake REQUIRED)

include_directories(${CMAKE_SOURCE_DIR}/src)
aux_source_directory(${RECOVERYTOOL_DIR} SRC_FILES)

## 源文件
add_executable(${BIN_NAME}
        ${SRC_FILES}
        main.cpp)

target_link_libraries(${BIN_NAME}
        ${Qt5Core_LIBRARIES}
        Qt5::PrintSupport
        )

## 安装目标文件
install(TARGETS ${BIN_NAME}
        DESTINATION /usr/bin/)
