=== debian/changelog ===
uos-recovery (6.0.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 09 Dec 2022 16:56:46 +0800

uos-recovery (6.0.15) unstable; urgency=medium

  * new backup tool version 6.0.15

 -- Zhang Xueming <zhangxueming@uniontech.com>  Tue, 06 Dec 2022 18:50:39 +0800

uos-recovery (6.0.14) unstable; urgency=medium

  * new backup tool version 6.0.14

 -- Zhang Xueming <zhangxueming@uniontech.com>  Mon, 21 Nov 2022 10:27:30 +0800

uos-recovery (6.0.13) unstable; urgency=medium

  * new backup tool version 6.0.13

 -- Zhang Xueming <zhangxueming@uniontech.com>  Sun, 06 Nov 2022 23:22:15 +0800

uos-recovery (6.0.12) unstable; urgency=medium

  * new backup tool version 6.0.12

 -- Zhang Xueming <zhangxueming@uniontech.com>  Mon, 31 Oct 2022 18:06:47 +0800

uos-recovery (6.0.11) unstable; urgency=medium

  * new backup tool version 6.0.11

 -- Zhang Xueming <zhangxueming@uniontech.com>  Wed, 19 Oct 2022 13:49:31 +0800

uos-recovery (6.0.10) unstable; urgency=medium

  * new backup tool version 6.0.10

 -- Zhang Xueming <zhangxueming@uniontech.com>  Thu, 13 Oct 2022 15:11:50 +0800

uos-recovery (6.0.9) unstable; urgency=medium

  * new backup tool version 6.0.9

 -- Du Tianxue <dutianxue@uniontech.com>  Wed, 21 Sep 2022 20:50:44 +0800

uos-recovery (6.0.8) unstable; urgency=medium

  * new backup tool version 6.0.8

 -- Zhang Xueming <zhangxueming@uniontech.com>  Thu, 15 Aug 2022 20:49:13 +0800

uos-recovery (6.0.7) unstable; urgency=medium

  * new backup tool version 6.0.7

 -- Zhang Xueming <zhangxueming@uniontech.com>  Tue, 16 Aug 2022 15:07:05 +0800

uos-recovery (1.0.0) unstable; urgency=medium

  * new backup tool

 -- Guo Nafu <guonafu@uniontech.com>  Thu, 03 Mar 2022 10:37:13 +0800
