=== debian/control ===
Source: uos-recovery
Section: misc
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
    debhelper (>= 9),
    dh-systemd,
    pkg-config,
    cmake (>=3.1),
    g++ (>=6.3.0),
    qttools5-dev,
    qttools5-dev-tools,
    qtbase5-dev,
    libdtkcore-dev,
    libdtkgui-dev,
    libdtkwidget-dev,
    libdtkcore5-bin,
    libgtest-dev,
    libpolkit-qt5-1-dev
Standards-Version: 3.9.8
Homepage: https://www.deepin.org

Package: uos-recovery
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    rsync,
    sqlite3,
    deepin-boot-kit
Description: uos recovery dbus service
 New version of uos-recovery, rewritten with Qt5.
Recommends: uos-reporter, deepin-event-log

Package: uimg-installer
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    rsync
Description: installer uimg file
 written with Qt5.
Recommends: uos-reporter, deepin-event-log
