## uos-recovery 7.0.32

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # 工程设置
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.19)
 project(uos-recovery C CXX)
 
-set(CMAKE_CXX_STANDARD_REQUIRED 14)
+set(CMAKE_CXX_STANDARD_REQUIRED 17)
 set(CMAKE_C_STANDARD 11)
 set(CMAKE_C_STANDARD_REQUIRED ON)
 
 # 启用qt moc机制
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-
+set(ENV{LC_ALL} "C.UTF-8")
 configure_file(${CMAKE_SOURCE_DIR}/src/utils/environments.h.in ${CMAKE_SOURCE_DIR}/src/utils/environments.h @ONLY)
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
@@ -38,21 +38,20 @@
 set(TEST_DIR ${CMAKE_SOURCE_DIR}/src/test)
 set(SERVER_DIR ${CMAKE_SOURCE_DIR}/src/uos-recovery-service)
 set(GUI_DIR ${CMAKE_SOURCE_DIR}/src/uos-recovery-gui)
-set(UIMGINSTALLERR_DIR ${CMAKE_SOURCE_DIR}/src/uimg-installer)
 set(RECOVERYTOOL_DIR ${CMAKE_SOURCE_DIR}/src/uos-recovery-tool)
 
-execute_process(COMMAND bash "-c" "qdbuscpp2xml -A ${SERVER_DIR}/RecoveryService.h -o com.deepin.daemon.uosrecovery.xml"
-        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+set(QT6_PATH /usr/lib/qt6/)
+#execute_process(COMMAND bash "-c" "qdbuscpp2xml -A ${SERVER_DIR}/RecoveryService.h -o com.deepin.daemon.uosrecovery.xml"
+#        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 
-execute_process(COMMAND bash "-c" "qdbusxml2cpp ${CMAKE_SOURCE_DIR}/com.deepin.daemon.uosrecovery.xml -i RecoveryService.h -a RecoveryAdaptor"
+execute_process(COMMAND bash "-c" "/usr/lib/qt6/bin/qdbusxml2cpp  ${CMAKE_SOURCE_DIR}/com.deepin.daemon.uosrecovery.xml -i RecoveryService.h -a RecoveryAdaptor"
         WORKING_DIRECTORY ${SERVER_DIR})
 
-execute_process(COMMAND bash "-c" "qdbusxml2cpp ${CMAKE_SOURCE_DIR}/com.deepin.daemon.uosrecovery.xml -p RecoveryProxy"
+execute_process(COMMAND bash "-c" "/usr/lib/qt6/bin/qdbusxml2cpp ${CMAKE_SOURCE_DIR}/com.deepin.daemon.uosrecovery.xml -i utils/global.h -p RecoveryProxy"
         WORKING_DIRECTORY ${GUI_DIR})
 
 add_subdirectory(src/uos-recovery-gui)
 add_subdirectory(src/uos-recovery-service)
-add_subdirectory(src/uimg-installer)
 add_subdirectory(src/uos-recovery-tool)
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
