=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,22 @@
 
 set(CMAKE_INCLUDE_CURRENT_DIR  ON)
 
-find_package(Qt5Core REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5PrintSupport REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(DtkCMake REQUIRED)
+find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core)
+find_package(Qt6 REQUIRED Widgets Gui Core DBus PrintSupport)
+
+#find_package(Qt5Core REQUIRED)
+#find_package(Qt5Gui REQUIRED)
+#find_package(Qt5PrintSupport REQUIRED)
+#find_package(Qt5Widgets REQUIRED)
+#find_package(Qt5DBus REQUIRED)
+find_package(Dtk6CMake REQUIRED)
 find_package(PkgConfig REQUIRED)
-find_package(PolkitQt5-1 REQUIRED)
-find_package(Qt5Sql REQUIRED)
+find_package(PolkitQt6-1 REQUIRED)
+find_package(Qt6Sql REQUIRED)
 
-pkg_check_modules(DtkWidget REQUIRED dtkwidget)
-
+pkg_check_modules(Dtk6Widget REQUIRED dtk6widget)
+pkg_search_module(UDisk2 REQUIRED udisks2-qt6)
+include_directories(AFTER ${UDisk2_INCLUDE_DIRS})
 include_directories(${CMAKE_SOURCE_DIR}/src)
 include_directories(${UTILS_DIR})
 
@@ -37,6 +41,8 @@
         ${SERVER_DIR}/BtrfsSystem.cpp
         ${SERVER_DIR}/LvmSystem.h
         ${SERVER_DIR}/LvmSystem.cpp
+        ${SERVER_DIR}/ImmutableSystem.h
+        ${SERVER_DIR}/ImmutableSystem.cpp
 
         ${SERVER_DIR}/UserDataRecovery.h
         ${SERVER_DIR}/UserDataRecovery.cpp
@@ -59,27 +65,38 @@
         ${SERVER_DIR}/UImgRecovery.cpp
         ${SERVER_DIR}/GhostUImg.h
         ${SERVER_DIR}/GhostUImg.cpp
+        ${SERVER_DIR}/BRContext.h
+        ${SERVER_DIR}/BRContext.cpp
+        ${SERVER_DIR}/URReadWriteLock.h
+        ${SERVER_DIR}/URReadWriteLock.cpp
+        ${SERVER_DIR}/OSTreeWorkerThread.h
+        ${SERVER_DIR}/OSTreeWorkerThread.cpp
+        ${SERVER_DIR}/WorkerThread.h
+        ${SERVER_DIR}/WorkerThread.cpp
 
-        ${UIMGINSTALLERR_DIR}/UImgOperate.h
-        ${UIMGINSTALLERR_DIR}/UImgOperate.cpp
+        ${RECOVERYTOOL_DIR}/RollbackNotify.h
+        ${RECOVERYTOOL_DIR}/RollbackNotify.cpp
         )
 
 target_include_directories(${BIN_NAME} PUBLIC
         ${DtkWidget_INCLUDE_DIRS}
+        ${DTKCORE_INCLUDE_DIRS}
+        ${UDisk2_INCLUDE_DIRS}
         )
 
 target_link_libraries(${BIN_NAME}
-        ${Qt5Widgets_LIBRARIES}
-        ${Qt5DBus_LIBRARIES}
-        ${DtkWidget_LIBRARIES}
-        Qt5::PrintSupport
-        PolkitQt5-1::Agent
-        ${Qt5Sql_LIBRARIES}
+        ${Qt6Widgets_LIBRARIES}
+        ${Qt6DBus_LIBRARIES}
+        ${Dtk6Widget_LIBRARIES}
+        Qt6::PrintSupport
+        PolkitQt6-1::Agent
+        ${Qt6Sql_LIBRARIES}
+        ${UDisk2_LIBRARIES}
         )
 
 target_link_libraries(${BIN_NAME}
-        Qt5::Core
-        Qt5::DBus
+        Qt6::Core
+        Qt6::DBus
         gtest
         gtest_main
         pthread
