=== src/uos-recovery-service/CMakeLists.txt ===
--- 
+++ 
@@ -5,15 +5,19 @@
 aux_source_directory(${UTILS_DIR}/data-collection SERVICE_SRCS)
 aux_source_directory(${SERVER_DIR} SERVICE_SRCS)
 
+find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core)
+find_package(Qt6 REQUIRED Widgets Core DBus Sql)
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Core REQUIRED)
-find_package(DtkCMake REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5Sql REQUIRED)
-find_package(PolkitQt5-1 REQUIRED)
+#find_package(Qt5Core REQUIRED)
+find_package(Dtk6CMake REQUIRED)
+find_package(Dtk6Widget REQUIRED)
+#find_package(Qt5Widgets REQUIRED)
+#find_package(Qt6DBus REQUIRED)
+#find_package(Qt6Sql REQUIRED)
+find_package(PolkitQt6-1 REQUIRED)
 
+pkg_search_module(UDisk2 REQUIRED udisks2-qt6)
+include_directories(AFTER ${UDisk2_INCLUDE_DIRS})
 include_directories(${CMAKE_SOURCE_DIR}/src)
 
 aux_source_directory(${SERVER_DIR} SERVICE_SRCS)
@@ -23,16 +27,19 @@
         )
 
 target_include_directories(${BIN_NAME} PUBLIC
-        ${DtkWidget_INCLUDE_DIRS}
+        ${Dtk6Widget_INCLUDE_DIRS}
+        ${DTK6CORE_INCLUDE_DIRS}
+        ${UDisk2_INCLUDE_DIRS}
         )
 
 
 target_link_libraries(${BIN_NAME}
-        ${Qt5Widgets_LIBRARIES}
-        ${Qt5DBus_LIBRARIES}
-        ${Qt5Sql_LIBRARIES}
-        ${DtkWidget_LIBRARIES}
-        PolkitQt5-1::Agent
+        ${Qt6Widgets_LIBRARIES}
+        ${Qt6DBus_LIBRARIES}
+        ${Qt6Sql_LIBRARIES}
+        ${Dtk6Widget_LIBRARIES}
+        ${UDisk2_LIBRARIES}
+        PolkitQt6-1::Agent
         )
 
 
@@ -76,6 +83,12 @@
 install(FILES service/com.deepin.uosrecovery.service
         DESTINATION /usr/share/dbus-1/system-services/)
 
+install(FILES service/uos-recovery.service
+        DESTINATION /usr/lib/systemd/system/)
 # dbus policy
 install(FILES service/com.deepin.uosrecovery.policy
         DESTINATION /usr/share/polkit-1/actions/)
+
+# rollback notify
+install(FILES service/uos-recovery-notify.desktop
+        DESTINATION /usr/share/uos-recovery/)
