=== debian/changelog ===
uos-recovery (7.0.32) unstable; urgency=medium

  * new backup tool version 7.0.32 V25
  *

wangzhaohui <wangzhaohui@uniontech.com>  Tue, 25 Nov 2025 20:31:18 +0800

uos-recovery (7.0.26) unstable; urgency=medium

  * new backup tool version 7.0.26 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Mon, 23 Jun 2025 16:39:45 +0800

uos-recovery (7.0.25) unstable; urgency=medium

  * new backup tool version 7.0.25 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Mon, 23 Jun 2025 14:14:00 +0800

uos-recovery (7.0.24) unstable; urgency=medium

  * new backup tool version 7.0.24 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Mon, 16 Jun 2025 10:15:00 +0800

uos-recovery (7.0.23) unstable; urgency=medium

  * new backup tool version 7.0.23 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Fri, 06 Jun 2025 11:17:27 +0800

uos-recovery (7.0.22) unstable; urgency=medium

  * new backup tool version 7.0.22 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Tue, 03 Jun 2025 16:13:32 +0800

uos-recovery (7.0.21.1) unstable; urgency=medium

  * new backup tool version 7.0.21.1 V25
  * System Clone

Zhang Xueming <zhangxueming@uniontech.com>  Tue, 20 May 2025 15:59:47 +0800

uos-recovery (7.0.21) unstable; urgency=medium

  * new backup tool version 7.0.21 V25
  * new ui

Zhang Xueming <zhangxueming@uniontech.com>  Mon, 19 May 2025 17:05:16 +0800

uos-recovery (7.0.20) unstable; urgency=medium

  * new backup tool version 7.0.20 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Fri, 09 May 2025 10:37:33 +0800

uos-recovery (7.0.19) unstable; urgency=medium

  * new backup tool version 7.0.19 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Mon, 21 Apr 2025 16:46:20 +0800

uos-recovery (7.0.18) unstable; urgency=medium

  * new backup tool version 7.0.18 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Wed, 16 Apr 2025 16:40:05 +0800

uos-recovery (7.0.17) unstable; urgency=medium

  * new backup tool version 7.0.17 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Thu, 10 Apr 2025 14:43:21 +0800

uos-recovery (7.0.16) unstable; urgency=medium

  * new backup tool version 7.0.16 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Fri, 28 Mar 2025 15:16:37 +0800

uos-recovery (7.0.15) unstable; urgency=medium

  * new backup tool version 7.0.15 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Fri, 14 Mar 2025 13:37:06 +0800

uos-recovery (7.0.14) unstable; urgency=medium

  * new backup tool version 7.0.14 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Fri, 07 Mar 2025 10:34:36 +0800

uos-recovery (7.0.13) unstable; urgency=medium

  * new backup tool version 7.0.13 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Thu, 20 Feb 2025 14:39:32 +0800

uos-recovery (7.0.12) unstable; urgency=medium

  * new backup tool version 7.0.12 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Thu, 13 Feb 2025 14:57:32 +0800

uos-recovery (7.0.11) unstable; urgency=medium

  * new backup tool version 7.0.11 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Fri, 17 Jan 2025 15:18:55 +0800

uos-recovery (7.0.9) unstable; urgency=medium

  * new backup tool version 7.0.9 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>   Fri, 03 Jan 2025 16:18:50 +0800

uos-recovery (7.0.8) unstable; urgency=medium

  * new backup tool version 7.0.8 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>   Thu, 05 Dec 2024 21:06:31 +0800

uos-recovery (7.0.7) unstable; urgency=medium

  * new backup tool version 7.0.7 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>   Thu, 05 Dec 2024 21:06:31 +0800

uos-recovery (7.0.6) unstable; urgency=medium

  * new backup tool version 7.0.6 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Thu, 21 Nov 2024 09:36:36 +0800

uos-recovery (7.0.5) unstable; urgency=medium

  * new backup tool version 7.0.5 V25
  *

Zhang Xueming <zhangxueming@uniontech.com>  Thu, 21 Nov 2024 09:36:36 +0800

uos-recovery (7.0.3) unstable; urgency=medium

  * new backup tool version 7.0.3 V25
  * 

Zhang Xueming <zhangxueming@uniontech.com>  Wed, 30 Oct 2024 16:42:36 +0800

uos-recovery (7.0.1) unstable; urgency=medium

  * new backup tool version 7.0.1 V25

Zhang Xueming <zhangxueming@uniontech.com> Fri, 27 Sep 2024 11:23:28 +0800

uos-recovery (7.0.0) unstable; urgency=medium

  * new backup tool version 7.0.0 V25

Zhang Xueming <zhangxueming@uniontech.com> Fri, 27 Sep 2024 11:23:28 +0800
