=== debian/control ===
Source: uos-recovery
Section: misc
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
    debhelper (>= 9),
    pkg-config,
    cmake (>=3.1),
    g++ (>=6.3.0),
    qt6-base-dev,
    qt6-tools-dev,
    qt6-tools-dev-tools,
    qt6-base-dev-tools,
    libdtk6core-dev,
    libdtk6gui-dev,
    libdtk6widget-dev,
    libdtk6core-bin,
    libgtest-dev,
    libpolkit-qt6-1-dev,
    libudisks2-qt6-dev,
    libqt6sql6-sqlite,
    libselinux1-dev
Standards-Version: 3.9.8
Homepage: https://www.deepin.org

Package: uos-recovery
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    rsync,
    sqlite3,
    libqt6sql6-sqlite,
    squashfs-tools
Recommends:
    uos-reporter,
    deepin-event-log
Description: uos recovery dbus service
 New version of uos-recovery, rewritten with Qt5.
