=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
-export QT_SELECT = qt5
+export QT_SELECT = qt6
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -14,3 +14,5 @@
 %:
 	dh $@ --parallel
 
+override_dh_installsystemd:
+	dh_installsystemd --no-start --no-enable uos-recovery.service
